#pragma once

#include "v3.h"
#include "framebuffer.h"
#include "ppc.h"

class TMesh {
public:
  V3 *verts;
  int vertsN;
  unsigned int *tris;
  int trisN;
  TMesh(V3 C, V3 dims);
  void Project(PPC *ppc, V3 *&projVerts);
  void RenderPoints(int ptSize, unsigned int color, 
    PPC *ppc, FrameBuffer *fb);
  void RenderWF(unsigned int color, 
    PPC *ppc, FrameBuffer *fb);
};